Bug 1021327 - Pulseaudio crashes making sound based applications unusable
Pulseaudio crashes making sound based applications unusable
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: pulseaudio (Show other bugs)
19
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Lennart Poettering
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-21 01:50 EDT by Rodd Clarkson
Modified: 2015-02-17 12:46 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 12:46:01 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
pulseaudio -vvvvv &> pulse.output (118.08 KB, text/plain)
2013-10-21 01:50 EDT, Rodd Clarkson
no flags Details
pacmd ls > pacmd.output (15.05 KB, text/plain)
2013-10-21 01:51 EDT, Rodd Clarkson
no flags Details
gdb pulseaudio (9.00 KB, text/plain)
2013-10-21 23:14 EDT, Rodd Clarkson
no flags Details
Patch that keeps PulseAuidio from aborting on my system (2.19 KB, patch)
2014-10-20 10:13 EDT, Jay Fenlason
no flags Details | Diff

  None (edit)
Description Rodd Clarkson 2013-10-21 01:50:57 EDT
Created attachment 814405 [details]
pulseaudio -vvvvv &> pulse.output

Description of problem:

Pulseaudio is crashing consistently on the 26 computers in our schools lab, making sound based applications unusable.


Version-Release number of selected component (if applicable):

pulseaudio-3.0-10.fc19


How reproducible:

Everytime.


Steps to Reproduce:
1. I've followed the instructions on https://fedoraproject.org/wiki/How_to_debug_PulseAudio_problems to run pulseaudio -vvvvv
2. run 'pulseaudio -vvvvv &> pulse.output'
3. I then run 'pacmd ls > pacmd.output' as suggested.
4. Open Activities > Programs > Sound
5. Click "Test Speakers'
6. Click "Test" for one of the speakers. A sound is heard (Front [Right|Left])
7. Click "Test" again for one of the speakers.  No sound is heard.  The pulseaudio server aborts.



Actual results:

The pulseaudio server aborts and the following line appears in the output (with the second line appearing at the prompt.

E: [pulseaudio] module-stream-restore.c: Assertion 'pa_hashmap_put(u->dbus_entries, de->entry_name, de) == 0' failed at modules/module-stream-restore.c:1397, function subscribe_callback(). Aborting.
Aborted (core dumped)


Expected results:

I would expect the sound to play as expected.


Additional info:

Trying to use applications that play sounds sees them lock up.  For example kdenlive works until you try to playback the 'movie' you're making and then it just hangs.

With 'autospawn = no' just using the GUI sees pulseaudio die while using other applications.
Comment 1 Rodd Clarkson 2013-10-21 01:51:51 EDT
Created attachment 814407 [details]
pacmd ls > pacmd.output
Comment 2 Rodd Clarkson 2013-10-21 01:52:43 EDT
Do you want me to get some stacktrace for this?
Comment 3 Rex Dieter 2013-10-21 07:56:07 EDT
Yes please.
Comment 4 Rodd Clarkson 2013-10-21 23:14:00 EDT
Okay, I've installed all the debuginfo files and run

gdb pulseaudio
run
thread apply all bt full
quit

and then copied the output to gedit and saved as a file.

I'll attached the output as pulse.gdb
Comment 5 Rodd Clarkson 2013-10-21 23:14:35 EDT
Created attachment 814846 [details]
gdb pulseaudio
Comment 6 Rodd Clarkson 2013-10-23 21:42:59 EDT
Is more information needed for this bug?
Comment 7 Jay Fenlason 2014-10-20 10:13:09 EDT
Created attachment 948562 [details]
Patch that keeps PulseAuidio from aborting on my system

Since upstream hasn't done anything with this bug, here's the patch I used to make it stop aborting on my machine.  It might work for you too.
Comment 8 Rodd Clarkson 2014-10-20 21:37:30 EDT
I've moved the lab to fedora 20 and this problem is no longer a problem.

Not sure if you want to keep this open?
Comment 9 Jay Fenlason 2014-10-21 09:42:48 EDT
Note that my patch is against pulseaudio-5.0-10 so that version is still broken.
Comment 10 Rex Dieter 2014-10-21 10:06:22 EDT
Jay, you sure your issue is the same as Rodd's?  (he claims the latest pulseaudio no long exhibits the problem for him, per comment #8)

Regardless, any issue still affecting the latest pulseaudio release ought to be sent upstream to bugzilla.freedesktop.org (I can, but it's ideal if done by someone experiencing the specific problems in case they need any additional information or feedback).
Comment 11 Fedora End Of Life 2015-01-09 15:19:33 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 12 Fedora End Of Life 2015-02-17 12:46:01 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.